Межсайтовый скриптинг в WonderDesk SQL

Дата публикации:
28.02.2012
Дата изменения:
28.02.2012
Всего просмотров:
602
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:ND/RL:U/RC:C) = Base:4.3/Temporal:0
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:ND/RL:U/RC:C) = Base:4.3/Temporal:0
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WonderDesk SQL 4.x
Уязвимые версии: WonderDesk SQL 4.14, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "cus_email" в сценарии wonderdesk.cgi (когда параметр "do" равен "cust_lostpw"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "help_name", "help_email", "help_website" и "help_example_url" в сценарии wonderdesk.cgi (когда параметр "do" равен "hd_modify_record"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.wonderdesk.com/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://st2tea.blogspot.com/2012/02/wonderdesk-cross-site-scripting.html

или введите имя

CAPTCHA